CPS - Changes & Fixes
This page covers the changes and fixes provided to Custom Processing Settings in IPF Release 2025.4.0
New
-
New service has been introduced (Custom Processing Settings) that lets client implementations create and maintain custom dynamic configurations specific to client implementations.
-
Only key value pairs are supported. Refer to developer documentation for CPS supported data types
-
-
Introduced a new GET /api/v1/custom-processing-settings endpoint.
-
This allows users to retrieve specific configuration settings dynamically based on processing entities, setting categories or specific setting names.
-
-
Added CPS client connector with built-in resiliency features. New configuration properties under
ipf.custom-processing-settings-api.connector.get-custom-processing-settingsallow for fine-tuned control over connection timeouts, retry attempts and status code handling. -
Added
cps-dynamic-settings-notification-service-kafkamodule withCpsNotificationServiceKafkaAdapterwhich is an extension to DPS notifications-
new notification structure
CpsCrudNotificationfor CREATE/UPDATE/DELETE actions that includes payload from a setting object -
notifications are enabled by default
-
-
Added Custom Processing Settings service behaviour, which is the core implementation of Custom Processing Service. Its purpose is to fetch and retrieve Custom Processing Settings from DPS. The endpoint of /custom-processing-settings along with this service behaviour can be used to secure the active versions of custom processing settings. A new IPF component of "Dynamic Config Adapter", used by IPF - Studio rules designer, uses the endpoint to secure the custom processing settings.
-
Example Project is fully configured to support Manual End-to-End testing of Dynamic Config Adapter with CPS service
-
scripts for supporting docker environment are set up
-
all necessary properties are set up
-
MPS flow is updated to demonstrate usage of new functionalities
-
added/modified scripts for setting modification and payment submission
-